package workflow

type OptionStep struct {
	name string
	If   string
	Then string
}

func (o OptionStep) Name() string {
	return o.name
}

type CollectStep struct {
	name    string
	collect []Step
}

func (c CollectStep) Name() string {
	return c.name
}

type NormalStep struct {
	name string
	do   string
}

func (n NormalStep) Name() string {
	return n.name
}

type OptionsStep struct {
	name    string
	options []OptionStep
}

func (o OptionsStep) Name() string {
	return o.name
}

type IfDoStep struct {
	name string
	_if  string
	do   string
}

func (i IfDoStep) Name() string {
	return i.name
}

type IfJumpStep struct {
	name  string
	_if   string
	then  *string
	_else *string
}

func (i IfJumpStep) Name() string {
	return i.name
}
